cascading.management

## Interface UnitOfWork<Stats extends CascadingStats>

- All Known Subinterfaces:
    Cascade, Flow<Config>
  All Known Implementing Classes:
    BaseCascade, BaseFlow, ProcessFlow

      public interface UnitOfWork<Stats extends CascadingStats>

  Interface UnitOfWork is a common interface for `Flow` and `Cascade` allowing them to be used interchangeably.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `void` | `complete()`
    `java.lang.String` | `getID()`
    `java.lang.String` | `getName()`
    `UnitOfWorkSpawnStrategy` | `getSpawnStrategy()`
    `Stats` | `getStats()`
    `java.lang.String` | `getTags()`
    `void` | `prepare()`
    `void` | `setSpawnStrategy(UnitOfWorkSpawnStrategy spawnStrategy)`
    `void` | `start()`
    `void` | `stop()`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getID

          java.lang.String getID()

    - #### getStats

          Stats getStats()

    - #### getTags

          java.lang.String getTags()

    - #### prepare

          void prepare()

    - #### start

          void start()

    - #### stop

          void stop()

    - #### complete

          void complete()

    - #### cleanup

          void cleanup()

    - #### setSpawnStrategy

          void setSpawnStrategy(UnitOfWorkSpawnStrategy spawnStrategy)

    - #### getSpawnStrategy

          UnitOfWorkSpawnStrategy getSpawnStrategy()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.